import { html, ref, repeat } from '@microsoft/fast-element';
export const zeroErrorBannerTemplate = html `
  <zero-banner ${ref('banner')}>
    <div slot="content">
      <div>${(x) => x.error?.errorDetails || 'Place holder for error message'}</div>
    </div>

    <zero-button slot="action" appearance="lightweight" @click=${(x) => x.dismiss()}>
      ${(x) => x.error?.config?.banner?.dismissingAction?.label || 'Ignore'}
    </zero-button>

    ${repeat((x) => x.error?.config?.banner.confirmingActions, html `
        <zero-button
          slot="action"
          appearance="lightweight"
          @click=${(x, c) => {
    x?.action();
    c.parent.dismiss();
}}
        >
          ${(x) => x.label}
        </zero-button>
      `)}
  </zero-banner>
`;
